### Class

# Ide CellRendererFancy

#### Description

    final class Ide.CellRendererFancy : Gtk.CellRenderer {
      /* No available fields */
    }

No description available.

#### Ancestors

- GtkCellRenderer
- GInitiallyUnowned
- GObject

#### Constructors

###### ide_cell_renderer_fancy_new

No description available.

#### Instance methods

###### ide_cell_renderer_fancy_get_body

No description available.

###### ide_cell_renderer_fancy_get_title

No description available.

###### ide_cell_renderer_fancy_set_body

No description available.

###### ide_cell_renderer_fancy_set_title

No description available.

###### ide_cell_renderer_fancy_take_title

Like `ide_cell_renderer_fancy_set_title()` but takes ownership of `title`, saving a string copy.

Available since: 3.32

##### Methods inherited from GtkCellRenderer (24)

Please see GtkCellRenderer for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.CellRendererFancy:body

No description available.

###### Ide.CellRendererFancy:title

No description available.

##### Properties inherited from GtkCellRenderer (16)

###### Gtk.CellRenderer:cell-background

No description available.

###### Gtk.CellRenderer:cell-background-gdk

Cell background as a `GdkColor`.

Deprecated since: 3.4

###### Gtk.CellRenderer:cell-background-rgba

Cell background as a `GdkRGBA`.

Available since: 3.0

###### Gtk.CellRenderer:cell-background-set

No description available.

###### Gtk.CellRenderer:editing

No description available.

###### Gtk.CellRenderer:height

No description available.

###### Gtk.CellRenderer:is-expanded

No description available.

###### Gtk.CellRenderer:is-expander

No description available.

###### Gtk.CellRenderer:mode

No description available.

###### Gtk.CellRenderer:sensitive

No description available.

###### Gtk.CellRenderer:visible

No description available.

###### Gtk.CellRenderer:width

No description available.

###### Gtk.CellRenderer:xalign

No description available.

###### Gtk.CellRenderer:xpad

No description available.

###### Gtk.CellRenderer:yalign

No description available.

###### Gtk.CellRenderer:ypad

No description available.

#### Signals

##### Signals inherited from GtkCellRenderer (2)

###### Gtk.CellRenderer::editing-canceled

This signal gets emitted when the user cancels the process of editing a cell. For example, an editable cell renderer could be written to cancel editing when the user presses Escape.

Available since: 2.4

###### Gtk.CellRenderer::editing-started

This signal gets emitted when a cell starts to be edited. The intended use of this signal is to do special setup on `editable`, e.g. adding a `GtkEntryCompletion` or setting up additional columns in a `GtkComboBox`.

Available since: 2.6

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeCellRendererFancyClass {
      GtkCellRendererClass parent_class;

    }

###### Class members

`parent_class` |
    GtkCellRendererClass
| No description available.